> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get place photos

> Get place photos



## OpenAPI

````yaml GET /v1/google/maps/photos
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/maps/photos:
    get:
      tags:
        - Google Maps
      summary: Get place photos
      description: |-
        Get photos for a Google Maps place.

        Photos are extracted from the ``/maps/preview/place`` response
        (field ``data[6][37]``). Returns up to 20 photo URLs with
        configurable width/height via the Google CDN pattern
        ``lh3.googleusercontent.com/gps-cs-s/{id}=w{w}-h{h}-k-no``.
      operationId: maps_photos_api_v1_maps_photos_get
      parameters:
        - name: data_id
          in: query
          required: true
          schema:
            type: string
            description: Google Maps data ID (0x...:0x...)
            title: Data Id
          description: Google Maps data ID (0x...:0x...)
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: gl
          in: query
          required: false
          schema:
            type: string
            description: Country code
            default: us
            title: Gl
          description: Country code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MapsPhotosResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MapsPhotosResponse:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/MapsPhotoCategory'
          type: array
          title: Categories
        photos:
          items:
            $ref: '#/components/schemas/MapsPhoto'
          type: array
          title: Photos
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - pagination
      title: MapsPhotosResponse
      description: Response for GET /api/v1/maps/photos.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MapsPhotoCategory:
      properties:
        name:
          type: string
          title: Name
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      required:
        - name
      title: MapsPhotoCategory
      description: A photo category.
    MapsPhoto:
      properties:
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
      type: object
      title: MapsPhoto
      description: A place photo.
    Pagination:
      properties:
        current:
          anyOf:
            - type: integer
            - type: string
          title: Current
          default: 1
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        total_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Results
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
        page_no:
          additionalProperties:
            type: string
          type: object
          title: Page No
      type: object
      title: Pagination
      description: Pagination metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````